--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "This method requires certain methods to be implemented in the individual serializer library subclasses: new_document root_node add_property_node add_node"
full_name: DataMapper::Serialize#to_xml_document
is_singleton: false
name: to_xml_document
params: (opts={}, doc = nil)
visibility: protected
